QScintilla: QsciMacro Class Reference

# QsciMacro Class Reference

The QsciMacro class represents a sequence of recordable editor commands. More...

`#include <qscimacro.h>`

List of all members.

## Public Slots

- virtual void play ()
- virtual void startRecording ()
- virtual void endRecording ()

## Public Member Functions

- QsciMacro (QsciScintilla *parent, const char *name=0)
- QsciMacro (const QString &asc, QsciScintilla *parent, const char *name=0)
- virtual ~QsciMacro ()
- void clear ()
- bool load (const QString &asc)
- QString save () const

## Classes

- struct Macro

## Detailed Description

The QsciMacro class represents a sequence of recordable editor commands.

Methods are provided to convert convert a macro to and from a textual representation so that they can be easily written to and read from permanent storage.

## Constructor & Destructor Documentation

QsciMacro::QsciMacro | ( | QsciScintilla * | parent,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciMacro with parent parent and name name.

QsciMacro::QsciMacro | ( | const QString & | asc,
|  | QsciScintilla * | parent,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciMacro from the printable ASCII representation asc, with parent parent and name name.

virtual QsciMacro::~QsciMacro | ( |  | ) | `[virtual]`

Destroy the QsciMacro instance.

## Member Function Documentation

void QsciMacro::clear | ( |  | ) |

Clear the contents of the macro.

bool QsciMacro::load | ( | const QString & | asc | ) |

Load the macro from the printable ASCII representation asc. Returns true if there was no error.

See also:
  save()

QString QsciMacro::save | ( |  | ) | const

Return a printable ASCII representation of the macro. It is guaranteed that only printable ASCII characters are used and that double quote characters will not be used.

See also:
  load()

virtual void QsciMacro::play | ( |  | ) | `[virtual, slot]`

Play the macro.

virtual void QsciMacro::startRecording | ( |  | ) | `[virtual, slot]`

Start recording user commands and add them to the macro.

virtual void QsciMacro::endRecording | ( |  | ) | `[virtual, slot]`

Stop recording user commands.